在安装后configurationwampserver以启用ssl

我用Apache v2.2.17和PHP v5.3.5安装了wampserver。 当我使用带有HTTPS URL的函数file_get_contents()作为参数时,出现以下警告:

警告:file_get_contents()[function.file-get-contents]:无法find包装“https” – 你忘记configurationPHP时启用它? 在第22行的C:\ wamp \ www \ fbapp \ index.php中

有没有办法configurationwampserver来启用SSL而无需重新安装?

我查了一下,你应该:

  1. 检查Apache模块中的ssl_module
  2. 检查PHP扩展中的php_openssl

加工! 🙂

并检查一件事:

如果找不到该文件,则可能会发生错误。 所以使用这个:

 $f=@file_get_contents(path); if($f){ // your code here... }